#pragma once

#define IRQ_TIMER         0 // MASTER IRQ
#define IRQ_KEYBOARD      1 
#define IRQ_SLAVE_PIC     2 
#define IRQ_COM2          3 
#define IRQ_COM1          4 
#define IRQ_LPT2          5 
#define IRQ_FLOPPY        6 
#define IRQ_LPT1          7
#define IRQ_8_NOT_DEFINED 8 // SLAVE
#define IRQ_RESERVED_1    9 // SLAVE IRQ
#define IRQ_RESERVED_2    10
#define IRQ_RESERVED_3    11
#define IRQ_RESERVED_4    12
#define IRQ_COPROCESSOR   13
#define IRQ_HARDDISK      14
#define IRQ_RESERVED_5    15

typedef void (*irq_handler)(int irq);
int irqSetup();
